Create a New Resource
API recipe to create a new resource in a Facets blueprint branch with a POST request, passing the resourceName and resourceType in the request body.
Your Control Plane URL will vary
The Control Plane URL, denoted as YOUR_CP_URL for this API reference document is https://facetsdemo.console.facets.cloud.
Replace that with the Control Plane URL unique to your account.
Note: If any changes are made to the remote Git repository, please utilize the 'Get Blueprint Resources' API to synchronize and incorporate all the modifications.
API Endpoint
This API processes a POST request to create a new resource in the Blueprint.
https://{YOUR_CP_URL}/cc-ui/v1/designer/{stackName}/branch/{branch}- This API endpoint has two path parameter,
stackNameandbranch.
Path parameters
stackNameof typeStringis the name of the Blueprint.branchof typeStringis the name of the branch where the resource is to be created.
Body parameters
resourceName and resourceType are variables that are of type String.
[
{
"resourceName": "string",
"resourceType": "string"
}
][
{
"resourceName": "billing",
"resourceType": "service"
}
]Authenticate your API request
To learn more about how to generate a basic authentication token for use with Facets API requests, check Authentication Setup.
Facets API uses Basic Authentication.
Generate a Sample Request ➡️
Branch Creation and Resource Management
API recipe to create a branch in a Facets blueprint, then create and update resources on it programmatically using REST calls before merging to master.
Update a Resource
API recipe to update an existing resource in a Facets blueprint branch with a PUT request, replacing its JSON content by directory, filename, and type.